package com.kingdee.eas.hr.project;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class WorkHoursConfirmCollection extends AbstractObjectCollection 
{
    public WorkHoursConfirmCollection()
    {
        super(WorkHoursConfirmInfo.class);
    }
    public boolean add(WorkHoursConfirmInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(WorkHoursConfirmCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(WorkHoursConfirmInfo item)
    {
        return removeObject(item);
    }
    public WorkHoursConfirmInfo get(int index)
    {
        return(WorkHoursConfirmInfo)getObject(index);
    }
    public WorkHoursConfirmInfo get(Object key)
    {
        return(WorkHoursConfirmInfo)getObject(key);
    }
    public void set(int index, WorkHoursConfirmInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(WorkHoursConfirmInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(WorkHoursConfirmInfo item)
    {
        return super.indexOf(item);
    }
}